Changes between Version 3 and Version 4 of BuildLinuxPMI


Ignore:
Timestamp:
Sep 28, 2013, 3:18:43 PM (8 years ago)
Author:
szaman
Comment:

Formatting, link to Lenny2.6.17HowTo

Legend:

Unmodified
Added
Removed
Modified
  • BuildLinuxPMI

    v3 v4  
    11== Building ==
    2 Once you have checked out the source tree and setup the build environment, you probably want to go into the build/<kernelversion> directory, and type 'make menuconfig'. This will bring up the menuconfig tool for configuring your kernel.
    32
    4 Enter the menuconfig, and select the 'HPC options' menu. Hit space to change 'HPC Communication Daemon" into something built in (make it have an asterisk <*> next to it), then do the same for every option under this menu. as you're selecting options, sub-options will appear, make sure to build those in as well.
     3Once you have checked out the source tree and setup the build environment, you probably want to go into the build/<kernelversion> directory, and type 'make menuconfig'.
     4This will bring up the menuconfig tool for configuring your kernel.
     5
     6Enter the menuconfig, and select the 'HPC options' menu.
     7Hit space to change 'HPC Communication Daemon" into something built in (make it have an asterisk <*> next to it), then do the same for every option under this menu.
     8As you're selecting options, sub-options will appear, make sure to build those in as well.
    59
    610Exit the 'HPC options' menu, and exit menuconfig. make sure to select to save your configs, when prompted.
    711
    8 run 'make' to build your kernel.
     12Run 'make' to build your kernel.
    913
    1014=== Common Problems ===
    1115
    1216==== Ncurses trouble ====
     17
    1318{{{
    1419In file included from scripts/kconfig/lxdialog/checklist.c:24:0:
     
    1924
    2025==== Make not installed ====
     26
    2127{{{
    2228bash: make: command not found
    2329}}}
    2430
    25 you need to install GNU Make. on debian, run the command: 'sudo apt-get install make'
     31You need to install GNU Make. on debian, run the command: 'sudo apt-get install make'
    2632 
    2733==== GCC not installed ====
     
    3036}}}
    3137
    32 you need GCC installed in order to build kernels. to install it on debian stable, run 'sudo apt-get install gcc'
     38You need GCC installed in order to build kernels. To install it on debian stable, run 'sudo apt-get install gcc'.
    3339
    3440=== 2.6.17 problems ===
     41
     42If you have problems with 2.6.17, you can check [wiki:Lenny2.6.17HowTo Lenny 2.6.17 HowTo] for reference.